#define _CRTDBG_MAP_ALLOC
#include <stdlib.h>
#include <crtdbg.h>

#include <windows.h>
#include <stdio.h>
#include "QMessengerAgent.h"

int main(INT argc, CHAR* argv[])
{
	QMessengerAgent *ma;
	PWCHAR wHistory;
	UINT i;

	//_CrtSetDbgFlag ( _CRTDBG_ALLOC_MEM_DF | _CRTDBG_LEAK_CHECK_DF );
	//_CrtSetBreakAlloc(57);

	ma = new QMessengerAgent;

	for(;;){
		ma->UpdateWindowList();

		for(i = 0; i < ma->GetListLength(); i++, ma->Next()){
			if(ma->IsUpdated()){
				wHistory = ma->GetHistory();

				if(wHistory == NULL)
					continue;

				wprintf(L"<Messenger: %s>\n<Topic: %s>\n", ma->GetMessengerName(), ma->GetTopic());
				wprintf(L"<Users: %s>\n<History: %s>\n\n", ma->GetUsers(), wHistory);
				ma->ChatAcquired();
			}
		}

		Sleep(350);
	}

	delete ma;
	//_CrtDumpMemoryLeaks();
	return 0;
}

